import { ScatterTriangulationSeries } from "./ScatterTriangulationSeries";
import { IFastItemColumn$1 } from "igniteui-angular-core";
import { Type, Point } from "igniteui-angular-core";
import { Series } from "./Series";
import { ValueBrushScale } from "./ValueBrushScale";
import { ContourValueResolver } from "./ContourValueResolver";
import { SeriesView } from "./SeriesView";
import { List$1 } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { RenderSurface } from "./RenderSurface";
import { DataContext } from "igniteui-angular-core";
import { Path } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class ScatterContourSeries extends ScatterTriangulationSeries {
    static $t: Type;
    protected bk(): Series;
    protected get_fk(): boolean;
    constructor();
    ku(a: any, b: string): any;
    mi(a: string): string;
    private y3;
    protected ct(): SeriesView;
    zf: string;
    private y6;
    get y7(): IFastItemColumn$1<number>;
    set y7(a: IFastItemColumn$1<number>);
    zb: string;
    zd: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    protected rg(a: any, b: string, c: any, d: any): void;
    pb(a: boolean, b: SeriesView): void;
    rz(a: boolean): void;
    rx(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    protected zi(a: SeriesView): void;
    y5: ValueBrushScale;
    y4: ValueBrushScale;
    protected sp(): void;
    private zj;
    private y1;
    get y2(): ContourValueResolver;
    set y2(a: ContourValueResolver);
    private zk;
    hf(a: Rect, b: Rect, c: SeriesView): boolean;
    a2(a: Point, b: boolean): DataContext;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ScatterContourSeriesView extends SeriesView {
    static $t: Type;
    private cf;
    private ce;
    constructor(a: ScatterContourSeries);
    protected ch: List$1<Path>;
    private co;
    private ck;
    private cl;
    private cm;
    private cg;
    private cd;
    ci(a: List$1<List$1<List$1<Point>>>, b: number[]): void;
    protected bs(a: any, b: number): void;
    protected bt(a: any, b: number): void;
    protected bj(a: RenderingContext, b: boolean): void;
    cj(a: boolean): void;
    ax(a: any): void;
    getDefaultTooltipTemplate(): string;
    cn(a: Point, b: boolean): Path;
}
